Bug 214926 - [API] Refactoring session finish
[API] Refactoring session finish
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Refactoring
7.3
All All
: P2 (vote)
: 7.2.1
Assigned To: Ralph Ruijs
issues@editor
72patch1-verified
: API_REVIEW_FAST
Depends on:
Blocks: 211748 214793
  Show dependency treegraph
 
Reported: 2012-06-28 14:44 UTC by Ralph Ruijs
Modified: 2012-09-10 11:29 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed patch (2.42 KB, patch)
2012-06-28 15:01 UTC, Ralph Ruijs
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Ruijs 2012-06-28 14:44:39 UTC
In 7.2 the implementation of Find usages was changed to run in the background. The elements collection from a session was changed to block, until the refactoring is finished.

Clients of refactoring sessions not created by AbstractRefactoring need a way to tell the session that it is finished.
Comment 1 Ralph Ruijs 2012-06-28 15:01:08 UTC
Created attachment 121507 [details]
Proposed patch
Comment 2 Ralph Ruijs 2012-07-04 12:08:13 UTC
Changeset: 197f47bacd16
Author:    Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Date:      2012-07-04 14:05
Message:   Issue #214926 - [API] Refactoring session finish
Comment 3 Quality Engineering 2012-07-08 02:53:15 UTC
Integrated into 'main-golden', will be available in build *201207080002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/197f47bacd16
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: Issue #214926 - [API] Refactoring session finish
Comment 4 Jiri Prox 2012-08-16 12:51:16 UTC
Patch1 candidate depends on this, so it has to be transplanted together.

Verified in trunk
Comment 5 Quality Engineering 2012-09-01 11:05:43 UTC
Integrated into 'releases', will be available in build *201209010822* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/abff69fe059b
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: Issue #214926 - [API] Refactoring session finish


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo